%define realversion 0.9.23

%define name	upower
%define oname	UPower
%define version	0.99.4
%define release	%mkrel 4
%define major 3
%define libname %mklibname upower-glib %major
%define develname %mklibname -d upower-glib
%define oldlibname %mklibname devkit-power-gobject 1
%define olddevelname %mklibname -d devkit-power-gobject

Name: %name
Version: %version
Release: %release
Summary: Power Management Service
License: GPLv2+
Group: System/Kernel and hardware
URL:     http://upower.freedesktop.org/
Source0: http://upower.freedesktop.org/releases/%{name}_%{realversion}.orig.tar.xz
Patch1:	001-00git_clamp_percentage.patch
Patch2: 002-no_deprecation_define.patch
Patch3: 003-always_use_pm-utils_backend.patch
Patch4: 004-library-version.patch
Provides: %{oname} = %{version}-%{release}
BuildRequires: libgudev-devel
BuildRequires: dbus-glib-devel
BuildRequires: polkit-1-devel >= 0.91
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libusb-devel
BuildRequires: libxslt-proc
BuildRequires: docbook-style-xsl
BuildRequires: gobject-introspection-devel
BuildRequires: libimobiledevice-devel
BuildRequires: gtk-doc
Requires: pm-utils
Obsoletes: devicekit-power
Conflicts: gnome-power-manager
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n %libname
Summary: Shared Library of %{oname}
Group: System/Libraries
Requires: %name >= %version-%release
Obsoletes: %oldlibname
Obsoletes: %{_lib}upower-glib1

%description -n %libname
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.


%package -n %develname
Summary: Headers and libraries for %{oname}
Group: Development/Libraries
Provides: %{oname}-devel = %{version}-%{release}
Requires: %{name}
Requires: %libname = %version-%release
Obsoletes: %olddevelname

%description -n %develname
Headers and libraries for %{oname}

%prep
%setup -q -n %{name}-%{realversion}
%apply_patches

sed -i -e 's|Cflags: |&-DUPOWER_ENABLE_DEPRECATED |' upower-glib.pc.in || die

%build
%configure2_5x --disable-dependency-tracking \
      --enable-gtk-doc=no \
      --disable-static \
      --enable-deprecated \
      --with-udevrulesdir=/lib/udev/rules.d \
      --with-backend=linux

make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -fr %buildroot%{_libdir}/*.la

%find_lang %name

%clean
rm -rf %{buildroot}


%files -f %name.lang
%defattr(-,root,root,-)

%doc README AUTHORS NEWS HACKING
%dir %_sysconfdir/UPower/
%config(noreplace) %_sysconfdir/UPower/UPower.conf
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_datadir}/polkit-1/actions/org.freedesktop.upower.policy
%{_datadir}/polkit-1/actions/org.freedesktop.upower.qos.policy
/lib/udev/rules.d/*.rules

%{_bindir}/*
%{_libexecdir}/upowerd

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/dbus-1/system-services/*.service

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libupower-glib.so.%{major}*
%{_libdir}/girepository-1.0/UPowerGlib-1.0.typelib

%files -n %develname
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/*.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/gir-1.0/UPowerGlib-1.0.gir
%{_includedir}/libupower-glib


%changelog
* Sun Apr 03 2016 bb <bb> 0.99.4-4pclos2015
- real version 0.9.23

* Sat Apr 02 2016 bb <bb> 0.99.4-3pclos2016
- add conflict with obsolete gnome-power-manager

* Sat Apr 02 2016 bb <bb> 0.99.4-2pclos2016
- apply fix-critical-action.patch

* Fri Apr 01 2016 bb <bb> 0.99.4-1pclos2016
- update

* Tue May 26 2014 bb <bb> 0.9.20-3pclos2014
- rebuild against updated libs

* Fri Jun 21 2013 Texstar <texstar at gmail.com> 0.9.20-2pclos2013
- back down to working version

* Thu Jun 20 2013 Texstar <texstar at gmail.com> 0.9.20-1pclos2013
- update


